% Computes ratio of isometry violation between source and deformed target
function [ AveErr, MaxErr ] = GeoErr( distanceMtr0, distanceMtr1 )
% distanceMtr0 - distance map of the original (source) mesh
% distanceMtr1 - distance map of the deformed (target) map

D = abs( distanceMtr0 - distanceMtr1 );
AveErr = mean(mean(D));
MaxErr = max(max(D));

end % function

